Error runing fastai_v1 on clouderizer (not on local CPU)


#1

Hi all,

I could not run fastai_v1 (https://github.com/fastai/fastai_v1.git) on clouderizer due to the below error.
FYI: I am able to run fastai_v1 normally on my local CPU laptop.

Any help is very much appreciated.

Thanks in advance!


#2

Hi

It seems PyTorch installation is missing. It does not get auto installed with fastai package. From a remote terminal, type following command
pip3 install http://download.pytorch.org/whl/cu80/torch-0.4.1-cp36-cp36m-linux_x86_64.whl
pip3 install torchvision

You can also put above script in your project settings -> Workspace -> Startup Command. This will ensure this dependency gets auto installed everytime you run your project.

Let me know if this works.

-Prakash


#3

Thanks Prakash! That works.